package com.xhkjedu.sexam.mapper.report;

import com.xhkjedu.sexam.model.reportstu.ERstudent;
import com.xhkjedu.sexam.vo.report.ERPaperVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @className EReportGenerateMapper
 * @description 考试报告生成
 * @date 2022/8/9 10:00
 **/
public interface EReportGenerateMapper {
    //考试科目
    List<Map> listSubject(@Param("examid") Integer examid);

    //考试试卷
    List<ERPaperVo> listPaper(@Param("examid") Integer examid);

    //删除考试报告
    void deleteExamReport(@Param("examid") Integer examid);

    //学生上次考试排名及目标
    List<ERstudent> listStuRankAndGoal(@Param("examid") Integer examid);
}
